dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Data Fields
Dav1dLogger Struct Reference

`#include <dav1d.h>`

## Data Fields
void * | cookie
| Custom data to pass to the callback.
void(* | callback )(void *cookie, const char *format, va_list ap)

## Field Documentation

## ◆ callback

void(* Dav1dLogger::callback) (void *cookie, const char *format, va_list ap)

Logger callback. May be NULL to disable logging.

Parameters

  cookie | Custom pointer passed to all calls.
  format | The vprintf compatible format string.
  ap | List of arguments referenced by the format string.

## ◆ cookie

void* Dav1dLogger::cookie

Custom data to pass to the callback.

The documentation for this struct was generated from the following file:

- dav1d/dav1d.h